QRDEL(1)

NAME
qrdel - delete Sun Grid Engine Advance Reservations (AR)

SYNTAX
qrdel [-f] [-help [-u wc_user_list] wc_ar_list

DESCRIPTION
Qrdel provides a means for a user/operator/manager to delete one or more Advance Reservations (AR). A manager/operator can delete ARs belonging to any user, while a regular user can only delete his or her own ARs. If a manager wants to delete another user's AR, the manager can specify the AR id. By default, "qrdel wc_ar_name" will delete only the ARs belonging to that user. A manager is able to delete another user's AR via "-u wc_user_list". Jobs referring to an AR tagged for deletion will also be removed. Only if all jobs referring to an AR are removed from the Sun Grid Engine database will the AR also be removed.

Qrdel deletes ARs in the order in which the AR identifiers are presented. Find additional information concerning wc_user_list and wc_ar_list in

OPTIONS

-f  Force action for AR. The AR and the jobs using the AR are deleted from the Sun Grid Engine queuing system even if the controlling the AR jobs does not respond to the delete request sent by the
    Users which have neither Sun Grid Engine manager nor operator status can only use the -f option for their own ARs.

-help
    Prints a list of all options.

-u wc_user_list
    Deletes only those ARs which were submitted by users specified in the list of usernames. For managers, it is possible to use qrdel -u "*" to delete all ARs for all users. If a manager wants to delete a specific AR for a user, he has to specify the user and the AR id. If no AR is specified, all ARs belonging to that user are deleted.

wc_ar_list
    A list of AR id's that should be deleted

ENVIRONMENTAL VARIABLES

SGE_ROOT
    Specifies the location of the Sun Grid Engine standard configuration files.

SGE_CELL
    If set, specifies the default Sun Grid Engine cell. To address a Sun Grid Engine cell qrdel uses (in the order of precedence):

        The name of the cell specified in the environment variable SGE_CELL, if it is set.

        The name of the default cell, i.e. default.

SGE_DEBUG_LEVEL
    If set, specifies that debug information should be written to stderr. In addition the level of detail in which debug information is generated is defined.

SGE_QMASTER_PORT
    If set, specifies the tcp port on which the is expected to listen for communication requests. Most installations will use a service map entry for the service "sge_qmaster" instead of defining the port.

FILES
<sge_root>/<cell>/common/act_qmaster
	Sun Grid Engine master host file

SEE ALSO

COPYRIGHT
See for a full statement of rights and permissions.